Get MCP server tool by ID
GET
/tools/mcp-server/tool/{mcp_server_tool_id}Gets a MCP server tool by ID
RequiresBearerauthentication
Path parameters
mcp_server_tool_idstringrequiredID of the MCP server tool to retrieve
Returns
Successfully retrieved MCP server tool
Response fields
successbooleanoptionalWhether the operation succeeded
messagestringoptionalStatus message
dataobjectoptionalSingle MCP server tool (returned by GET /tools/mcp-server/tool/{mcp_server_tool_id}).
idstringoptionalID of the MCP server tool
namestringoptionalName of the MCP server tool
descriptionstringoptionalDescription of the MCP server tool
input_schemaobjectoptionalInput schema of the MCP server tool
mcp_server_idstringoptionalID of the MCP server that the tool belongs to
mcp_server_urlstringoptionalURL of the MCP server
mcp_server_toolsobject[]optionalList of MCP server tools. Returned by /tools/mcp-server/{mcp_server_id}/list.
idstringoptionalID of the MCP server tool
namestringoptionalName of the MCP server tool
descriptionstringoptionalDescription of the MCP server tool
input_schemaobjectoptionalInput schema of the MCP server tool
mcp_server_idstringoptionalID of the MCP server that the tool belongs to
mcp_server_urlstringoptionalURL of the MCP server
GETRequest
200 OKResponse